//RPT_SteerableChute v. 1.0
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7
#define true 1
#define false 0
#define private 0
#define protected 1
#define public 2

class CfgPatches
{
	class RPT_SteerableChute
      	{
		units[]={RPT_SteerableChute;RPT_SteerableChuteNoKick;RPT_SkyDiverPack;RPT_LifeVestA;RPT_LifeVestY};
		weapons[]={};
		requiredVersion=1.91;
      	};
};

class CfgSounds
{
	class RPT_ManHitG
	{
		name="RPT_ManHitG";
		sound[]={"People\fall_to_ground",db-30,1};
		titles[]={ };
	};
	class RPT_slowswim
	{
		name = "RPT_slowswim";
		sound[] = {"\RPT_SteerableChute\Sound\swim.ogg", db-70, 1.0};
		titles[]={ };
	};
	class RPT_fastswim
	{
		name = "RPT_fastswim";
		sound[] = {"\RPT_SteerableChute\Sound\swim.ogg", db-40, 1.0};
		titles[]={ };
	};
};

class cfgAmmo
{
	class Default{};
	class BulletSingle : Default {};
	class BulletSilencedSingle : BulletSingle {};
	class RPT_Kick : BulletSilencedSingle
	{
		hit=12; indirectHit=0; indirectHitRange=.25;
		minRange=.1; minRangeProbab=1;
		midRange=2.0; midRangeProbab=1;
		maxRange=2.5; maxRangeProbab=.5;
		visibleFire=0.001;
		audibleFire=0.035;
		visibleFireTime=.25;
		tracerColor[]={0,0,0,0.005000};
		tracerColorR[]={0,0,0,0.005000};
		soundHit[]={"\RPT_SteerableChute\RPT_Kick.ogg",5,1};
		hitGround[]={};
		hitMan[]={soundHit};
		hitArmor[]={};
		hitBuilding[]={};
		cartridge="";
		cost=0.5;
		soundFly[]={};
	};
	class LaserGuidedBomb : Default {};
	class RPT_KickLegs : LaserGuidedBomb
	{
		hit=0; indirectHit=0; indirectHitRange=.25;
		model="\RPT_SteerableChute\RPT_Kick_proxy";
		proxyShape="\RPT_SteerableChute\RPT_Kick_proxy";
		laserLock=false;
		explosive=false;
		minRange=.1; minRangeProbab=1;
		midRange=2.0; midRangeProbab=1;
		maxRange=2.5; maxRangeProbab=.5;
		soundHit[]={};
		soundFly[]={}; 
	};
	class Grenade : Default {};
	class Flare : Grenade {};
	class RPT_SigFlare : Flare
	{
		hit=0;indirectHit=0;indirectHitRange=.01;
		lightColor[] = {1,1,1,1};
	};
	class RPT_SigFlareRed : RPT_SigFlare
	{
		lightColor[] = {1,0,0,1};
	};
	class RPT_SigFlareGreen : RPT_SigFlare
	{
		lightColor[] = {0,1,0,1};
	};
	class RPT_SigFlareYellow : RPT_SigFlare
	{
		lightColor[] = {1,1,0,1};
	};
	class RPT_SigWhite : Flare
	{
		simulation=shotBullet;
		tracerColor[] = {1,1,1,1};
	};
	class RPT_SigRed : RPT_SigWhite
	{
		tracerColor[] = {1,0,0,1};
	};
	class RPT_SigGreen : RPT_SigWhite
	{
		tracerColor[] = {0,1,0,1};
	};
	class RPT_SigYellow : RPT_SigWhite
	{
		tracerColor[] = {1,1,0,1};
	};
	class RPT_FGGrenade : Grenade
	{
		simulation=shotBullet;
		tracerColor[] = {0,0,0,1};
	};
	class GrenadeHand : Grenade {};
	class SmokeShell : GrenadeHand {};
	class RPT_DepthSensor : SmokeShell
	{
		hit=0;indirectHit=0;indirectHitRange=.01;
		cost=1;
		soundHit[]={};
		soundFly[]={};
		soundEngine[]={};
		smokeColor[] = {1,1,1,0};
		class Smoke
		{
			interval = 1;
			cloudletDuration = 0
			cloudletAnimPeriod = 1;
			cloudletSize = 0;
			cloudletAlpha = 0;
			cloudletGrowUp = 0;
			cloudletFadeIn = 0;
			cloudletFadeOut = 0
			cloudletAccY = 0;
			cloudletMinYSpeed = 0;
			cloudletMaxYSpeed = 0;
			cloudletShape = "cl_basic";
			cloudletColor[] = {1,1,1,0};
			initT = 1000;
			deltaT = -500;
			class Table
			{
				class T1 {maxT = 0; color[] = {1,1,1,0};}
				class T2 {maxT = 1; color[] = {1,1,1,0};}
			};
			density = 1;
			size = 0;
			initYSpeed = 0;
			timeToLive = 0;
			in = 0;
			out = 0;
		};
	};
};

class cfgWeapons
{
	class Default {};
	class RPT_Kick : Default
	{
		ammo=RPT_Kick;
		displayName="Kick";
		displayNameMagazine="Kick";
		shortNameMagazine="Kick";	
		nameSound="";
		count=1;
		reloadTime=0;
		magazineReloadTime=0;
		sound[]={};
		soundContinuous=false;
		reloadSound[]={};
		reloadMagazineSound[]={};
		drySound[]= {};
		initSpeed=75;
		optics=false;
		opticsFlare=false;
		canLock=LockNo;
		flash=;
		flashSize=0;
	};
	class RPT_KickLegs : RPT_Kick
	{
		ammo=RPT_KickLegs;
		initSpeed=0;
	};
	class RPT_SigFlare : Default
	{
		ammo=RPT_SigWhite;
		displayName="Illumination Flare";
		displayNameMagazine="Illumination Flare";
		shortNameMagazine="Illumination Flare";	
		count=3;
		reloadTime=3;
		sound[]={"\RPT_SteerableChute\Sound\flarelaunch.ogg",db-70,1};
		initSpeed=120;
		optics=false;
		canLock=LockNo;
		flash=;
		flashSize=0;
		dispersion=0.015;
		aiDispersionCoefY=2.0; // dispersion used to simulate distance est. error
		maxLeadSpeed = 150;
	};
	class RPT_SigFlare2 : RPT_SigFlare
	{
		count=2;
	};
	class RPT_SigFlare1 : RPT_SigFlare
	{
		count=1;
	};
	class RPT_SigFlareRed : RPT_SigFlare
	{
		ammo=RPT_SigRed;
		count=5;
		displayName="Red Flare";
		displayNameMagazine="Red Flare";
		shortNameMagazine="Red Flare";	
	};
	class RPT_SigFlareRed4 : RPT_SigFlareRed
	{
		count=4;
	};
	class RPT_SigFlareRed3 : RPT_SigFlareRed
	{
		count=3;
	};
	class RPT_SigFlareRed2 : RPT_SigFlareRed
	{
		count=2;
	};
	class RPT_SigFlareRed1 : RPT_SigFlareRed
	{
		count=1;
	};
	class RPT_SigFlareGreen : RPT_SigFlare
	{
		ammo=RPT_SigGreen;
		displayName="Green Flare";
		displayNameMagazine="Green Flare";
		shortNameMagazine="Green Flare";	
	};
	class RPT_SigFlareGreen2 : RPT_SigFlareGreen
	{
		count=2;
	};
	class RPT_SigFlareGreen1 : RPT_SigFlareGreen
	{
		count=1;
	};
	class RPT_SigFlareYellow : RPT_SigFlare
	{
		ammo=RPT_SigYellow;
		displayName="Yellow Flare";
		displayNameMagazine="Yellow Flare";
		shortNameMagazine="Yellow Flare";	
	};
	class RPT_SigFlareYellow2 : RPT_SigFlareYellow
	{
		count=2;
	};
	class RPT_SigFlareYellow1 : RPT_SigFlareYellow
	{
		count=1;
	};
	class RPT_FGGrenade : RPT_SigFlare
	{
		ammo=RPT_FGGrenade;
		count=6;
		displayName="Grenade";
		displayNameMagazine="Grenade";
		shortNameMagazine="Grenade";
		initSpeed=90;
		maxLeadSpeed=50;
	};
	class RPT_FGGrenade5 : RPT_FGGrenade
	{
		count=5;
	};
	class RPT_FGGrenade4 : RPT_FGGrenade
	{
		count=4;
	};
	class RPT_FGGrenade3 : RPT_FGGrenade
	{
		count=3;
	};
	class RPT_FGGrenade2 : RPT_FGGrenade
	{
		count=2;
	};
	class RPT_FGGrenade1 : RPT_FGGrenade
	{
		count=1;
	};
	class RPT_FlareGun: Default
	{
		scopeWeapon = public;
		scopeMagazine = private;
		reloadSound[]={"\RPT_SteerableChute\Sound\load.ogg", db-70, 1.0};
		backgroundReload = true;
		ffMagnitude=.1;
		ffFrequency=1;
		ffcount=1;
		magazines[] = 
			{
				RPT_FGGrenade,
				RPT_FGGrenade5,
				RPT_FGGrenade4,
				RPT_FGGrenade3,
				RPT_FGGrenade2,
				RPT_FGGrenade1,
				RPT_SigFlareRed,
				RPT_SigFlareRed4,
				RPT_SigFlareRed3,
				RPT_SigFlareRed2,
				RPT_SigFlareRed1,
				RPT_SigFlare,
				RPT_SigFlare2,
				RPT_SigFlare1,
				RPT_SigFlareGreen,
				RPT_SigFlareGreen2,
				RPT_SigFlareGreen1,
				RPT_SigFlareYellow,
				RPT_SigFlareYellow2,
				RPT_SigFlareYellow1
			};
	};
};

class CfgNonAIVehicles
{
  	class ProxyWeapon {};
  	class ProxyRPT_KickLegs: ProxyWeapon
	{
		model="\RPT_SteerableChute\RPT_Kick_proxy";
		simulation="maverickweapon";
	};
};

class RPT_NoSmoke // custom name
{
	access=ReadOnlyVerified;
	cloudletDuration=0;
	cloudletAnimPeriod=1.000000;
	cloudletSize=0;
	cloudletAlpha=0;
	cloudletGrowUp=0;
	cloudletFadeIn=0;
	cloudletFadeOut=0;
	cloudletAccY=0.050000;
	cloudletMinYSpeed=0.100000;
	cloudletMaxYSpeed=0.100000;
	cloudletShape="cl_basic";
	cloudletColor[]={1,1,1,0};
	interval=0.050000;
	size=0;
	sourceSize=0.500000;
	timeToLive=0;
	initT=0;
	deltaT=60;
	class Table
	{
		class T0
		{
			maxT=0;
			color[]={1.0,1.0,1.0,0};
		};
		class T1
		{
			maxT=1800;
			color[]={0.6,0.6,0.6,0};
		};
		class T2
		{
			maxT=3500;
			color[]={0.55,0.54,0.52,0};
		};
	};
};

class CfgVehicles
{
	class All {};
	class AllVehicles : All {};
	class Air : AllVehicles {};
	class Plane : Air {};
	class A10 : Plane {};
	class Cessna : A10 {};
	class RPT_SteerableChute: Cessna
	{
		model="\RPT_SteerableChute\SteerableChute";
		icon="\RPT_SteerableChute\Para_Icon.paa";
		picture="\RPT_SteerableChute\Parachute.paa";
		displayName="RPT_SteerableChute";
		extCameraPosition[]={0,0,-10};
		maxSpeed=88;
		landingSpeed=1;
		landingAoa="rad 80";
		wheelSteeringSensitivity=1;
		aileronSensitivity=.1;
		elevatorSensitivity=1;
		noseDownCoef=0;
      		flapsFrictionCoef=17;
		brakeDistance=10;
		formationX=75;
		formationZ=75;
		nameSound="man";
   		fuelCapacity=0;
   		irTarget=0;
   		hasDriver=1;
   		hasGunner=0;
   		hasCommander=0;
		driverIsCommander=1;
   		transportSoldier=0;
   		driverCanSee=26;
   		driverAction="ManActPara";
   		threat[]={0.100000,1,0.700000};
   		cost=100;
   		side=1;
		scope=public;
		type=VAir;
   		soundEngine[]={};
   		soundEnviron[]={"Objects\noise",0.001,.2};
   		soundServo[]={};
   		soundDammage[]={};
   		soundGetOut[]={};
   		soundCrash[]={};
		soundLandCrash[]={};
   		soundWaterCrash[]={"Explosions\intowater",db-30,1};
		insideSoundCoef=1;
		ejectSpeed[]={0,0,-12};
   		armor=10;
		destrType=DestructNo;	
   		weapons[]={RPT_Kick, RPT_kickLegs};
   		magazines[]={RPT_Kick, RPT_kickLegs};
		crew="SoldierWSaboteurPipe";
		accuracy=2;
		camouflage=.75;
		audible=.1;
		spotableNightLightsOff=0.1;
		spotableNightLightsOn=0.1;
		sensitivity=3;
		sensitivityEar=.07;
		visibleNightLightsOff=0.3;
		visibleNightLightsOn=0.3;
		castDriverShadow=true;
		class MGunFire: RPT_NoSmoke {};
		class MGunClouds: RPT_NoSmoke {};
		class ViewPilot
   		{
      			initAngleX=8;
      			minAngleX=8;
      			maxAngleX=8;
      			initAngleY=0;
      			minAngleY=-180;
      			maxAngleY=180;
      			initFov=0.7;
      			minFov=0.35;
      			maxFov=0.85;
   		};
		class Reflectors {};
		class EventHandlers
		{
			init="[_this select 0] exec {\RPT_SteerableChute\Scripts\Para_spdControl.sqs}";
			fired="_this exec {\RPT_SteerableChute\Scripts\kick_control.sqs}";
			hit="_this exec {\RPT_SteerableChute\Scripts\crash.sqs}";
		};
	};
	
	class RPT_SteerableChuteNoKick: RPT_SteerableChute
	{
		weapons[]={};
   		magazines[]={};
		displayName="RPT_SteerableChuteNoKick";
		class EventHandlers
		{
			init="[_this select 0] exec {\RPT_SteerableChute\Scripts\Para_spdControl.sqs}";
			hit="_this exec {\RPT_SteerableChute\Scripts\crash.sqs}";
		};
	};

	class RPT_SkyDiverPack: RPT_SteerableChuteNoKick
	{
		model="\RPT_SteerableChute\ChutePack";
		icon="\RPT_SteerableChute\Skydive_Icon.paa";
		picture="\RPT_SteerableChute\Skydiver.paa";
		displayName="RPT_SkyDiverPack";
		maxSpeed=80;
		landingSpeed=1;
		aileronSensitivity=.25;
		elevatorSensitivity=.25;
		insideSoundCoef=10;
		accuracy=3.5;
		camouflage=.6;
		spotableNightLightsOff=0.03;
		spotableNightLightsOn=0.03;
		sensitivityEar=.01;
		formationX=25;
		formationZ=25;
		soundCrash[]={"People\fall_to_ground",db-30,1};
   		soundLandCrash[]={"People\fall_to_ground",db-30,1};
		class ViewPilot
   		{
      			initAngleX=8;
      			minAngleX=-15;
      			maxAngleX=25;
      			initAngleY=0;
      			minAngleY=-100;
      			maxAngleY=100;
      			initFov=0.7;
      			minFov=0.35;
      			maxFov=0.85;
   		};
		class EventHandlers
		{
			init="[_this select 0] exec {\RPT_SteerableChute\Scripts\Pack_spdControl.sqs}";
		};
	};
	class Land : AllVehicles{};
	class LandVehicle : Land {};
	class Car : LandVehicle {};
	class Jeep : Car {};
	class JeepMG : Jeep {};
	class RPT_LifeVestA : JeepMG
	{
		//editor-user info
		model="\RPT_SteerableChute\LifeVestAqua";
		icon="\RPT_SteerableChute\Vest_Icon.paa";
		picture="\RPT_SteerableChute\Vest.paa";
		displayName="RPT_LifeVestA";
		isMan = true;
				
		//player info
		unitInfoType=UnitInfoSoldier;
		extCameraPosition[]={0,2,-8};
		castDriverShadow=true;
		class ViewPilot
   		{
      			initAngleX=0;
      			minAngleX=-60;
      			maxAngleX=30;
      			initAngleY=0;
      			minAngleY=-180;
      			maxAngleY=180;
      			initFov=0.7;
      			minFov=0.35;
      			maxFov=0.85;
   		};
		
		//AI info
		type=vsoft;
		side=1;
		cost=100;
		irTarget=0;
		threat[]={1,.05,.05};
		unloadInCombat = 0;
		preferRoads = 0;
		spotableNightLightsOff=0.01;
		spotableNightLightsOn=3;
		visibleNightLightsOff=.1;
		visibleNightLightsOn=.2;
		sensitivity=2;
		sensitivityEar=0.13;
		camouflage=.25;
		audible=.1;
		accuracy=.3;	

		//Movement
		maxSpeed=15;
		wheelCircumference=1;
		turnCoef=10;
		terrainCoef=100;//Major problem area --> smaller=faster on land
		steerAheadSimul=1;
		steerAheadPlan=1;
		predictTurnSimul=1;
		predictTurnPlan=1;
		brakeDistance=1;
		formationX=10;
		formationZ=10;
		precision=1;
		formationTime=3;
		fuelCapacity=25;

		//Crew & Cargo Stuff
		crew="SoldierWPilot";
		hasDriver=1;
		hasGunner=0;
		hasCommander=0;
		driverIsCommander=1;
		transportSoldier=0;
		transportMaxMagazines=0;
		transportMaxWeapons=0;
		getInRadius=0;
		driverAction="ManActM2A2Gunnerout";
		ejectSpeed[]={0,0,0};

		//Game Engine Stuff
		canFloat=1;
		reversed=1;
		simulation="car";
		//simulation="ship";

		//Sound
		nameSound="man";
		soundEngine[]={};
		soundGear[]={};
   		soundEnviron[]={};
   		soundServo[]={};
   		soundDammage[]={};
   		soundGetOut[]={};
   		soundCrash[]={};
		soundLandCrash[]={};
   		soundWaterCrash[]={};
		insideSoundCoef = 1;
		
		//Structural
		armor=10;
		destrType=DestructNo;
		armorGlass=0.000001;
		armorBody=0.000001;
		armorFuel=0.000001;
		armorLights=0.000001;
		armorWheels=0.000001;
		dammageHalf[]={};
		dammageFull[]={};
		armorStructural=0.000001;
		secondaryExplosion=0;

		//weapons
		weapons[]={RPT_FlareGun};
		magazines[]={RPT_FGGrenade,RPT_SigFlareRed,RPT_SigFlare,RPT_SigFlareGreen,RPT_SigFlareYellow};
		enableAttack=1;
		class Turret
		{
			gunAxis = "osahlavne";
			turretAxis = "osaveze";
			gunBeg = "usti hlavne";
			gunEnd = "konec hlavne";
			soundServo[]={};
			minElev=-5; maxElev=+90;
			minTurn=-45; maxTurn=+45;
			body = "otocvez";
			gun = "otochlaven";
		};
		
		//Lights
		class Reflectors
		{
			class light
			{
				color[] = {0.9, 0.8, 0.8, 1.0};
				ambient[] = {0.1, 0.1, 0.1, 1.0};
				position = "light pos";
				direction = "light dir";
				hitpoint = "light pos";
				selection = "light pos";
				size = 2;
				brightness = 0.25;
			};
		};

		// Unused (but still has to be in config)
		class IndicatorAltBaro
		{
			selection="empty";
			axis="empty";
			angle=0;
			min=0;
			max=0;
		};
		class IndicatorSpeed
		{
			selection="empty";
			axis="empty";
			angle=0;
			min=0;
			max=0;
		};
		class IndicatorSpeed2
		{
			selection="empty";
			axis="empty";
			angle=0;
			min=0;
			max=0;
		};
		class IndicatorRPM
		{
			selection="empty";
			axis="empty";
			angle=0;
			min=0;
			max=0;
		};

		class HitEngine
		{
			armor=0.00001;
			material=60;
			name="engine";
			passThrough=1;
		};

		//Event Handlers
		class EventHandlers
		{
			init="[_this select 0] exec {\RPT_SteerableChute\LVScripts\LVinit.sqs}";
			getout="_this exec {\RPT_SteerableChute\LVScripts\GetOut.sqs}";
			fired="_this exec {\RPT_SteerableChute\LVScripts\FlareControl.sqs}; _this exec {\RPT_SteerableChute\LVScripts\magManager.sqs}";
			killed="_this exec {\RPT_SteerableChute\LVScripts\deadVest.sqs}";
		};
	};

	class RPT_LifeVestY : RPT_LifeVestA
	{
		model="\RPT_SteerableChute\LifeVestYellow";
		displayName="RPT_LifeVestY";
		camouflage=3;
		spotableNightLightsOff=0.1;
	};
};